/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreVariableSegment;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreVariableSegmentRecord extends TableRecordImpl<VCoreVariableSegmentRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_variable_segment.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable_segment.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_variable_segment.name</code>.
     */
    public void setName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable_segment.name</code>.
     */
    public String getName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_variable_segment.tree</code>.
     */
    public void setTree(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_variable_segment.tree</code>.
     */
    public String getTree() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreVariableSegmentRecord
     */
    public VCoreVariableSegmentRecord() {
        super(VCoreVariableSegment.V_CORE_VARIABLE_SEGMENT);
    }

    /**
     * Create a detached, initialised VCoreVariableSegmentRecord
     */
    public VCoreVariableSegmentRecord(String uniqueName, String name, String tree) {
        super(VCoreVariableSegment.V_CORE_VARIABLE_SEGMENT);

        setUniqueName(uniqueName);
        setName(name);
        setTree(tree);
        resetChangedOnNotNull();
    }
}
